xlsfonts(__appmansuffix__)

NAME
xlsfonts - server font list displayer for X

SYNOPSIS
xlsfonts [-display host:dpy] [-l] [-ll] [-lll] [-m] [-C] [-1] [-w width] [-n columns] [-u] [-o] [-fn pattern]
xlsfonts -printer printername [-l] [-ll] [-lll] [-m] [-C] [-1] [-w width] [-n columns] [-u] [-o] [-r resolution] [-b] [-B] [-g] [-G] [-x mode] [-X mode] [-fn pattern]

DESCRIPTION
xlsfonts lists the fonts that match the given pattern. The wildcard character "*" may be used to match any sequence of characters (including none), and "?" to match any single character. If no pattern is given, "*" is assumed.

The "*" and "?" characters must be quoted to prevent them from being expanded by the shell.

OPTIONS

-display host:dpy
    This option specifies the X server to contact.

-printer printername
    This option specifies the Xprint printer to contact.

-d host:dpy
    Same as -display host:dpy.

-p printername
    Same as -printer printername.

-l  Lists some attributes of the font on one line in addition to its name.

-ll Lists font properties in addition to -l output.

-lll
    Lists character metrics in addition to -ll output.

-m  This option indicates that long listings should also print the minimum and maximum bounds of each font.

-C  This option indicates that listings should use multiple columns. This is the same as -n 0.

-1  This option indicates that listings should use a single column. This is the same as -n 1.

-w width
    This option specifies the width in characters that should be used in figuring out how many columns to print. The default is 79.

-n columns
    This option specifies the number of columns to use in displaying the output. By default, it will attempt to fit as many columns of font names into the number of character specified by -w width.

-u  This option indicates that the output should be left unsorted.

-o  This option indicates that xlsfonts should do an OpenFont (and QueryFont, if appropriate) rather than a ListFonts. This is useful if ListFonts or ListFontsWithInfo fail to list a known font (as is the case with some scaled font systems).

-r resolutionname
    Set print resolution name (usually values like 300dpi or 300x600, see output of xplsprinters). This may alter the output of xlsfonts if there are printer fonts which get enabled/disabled on per-resolution basis by the DDX. (printer mode only)

-b  List printer builtin fonts. This is the same as -x xp-list-internal-printer-fonts. (printer mode only)

-B  Do not list printer builtin fonts. This is the same as -X xp-list-internal-printer-fonts. (printer mode only)

-g  List glyph fonts. This is the same as -x xp-list-glyph-fonts. (printer mode only)

-G  Do not list glyph fonts. This is the same as -X xp-list-glyph-fonts. (printer mode only)

-x mode
    Enable listfont mode mode. Supported modes are:

    xp-listinternal-printer-fonts
        If xp-listinternal-printer-fonts was set (via option -b or -x xp-listinternal-printer-fonts xlsfonts will include all of the fonts defined as internal printer fonts.

    xp-list-glyph-fonts
        If xp-list-glyph-fonts was set (via option -g or -x xp-list-glyph-fonts) xlsfonts will include all of the fonts available to the server which have glyphs associated with them.
The default value is implicitly determined by the ddx driver to be the all of the listfonts modes specified in the xp-listfonts-modes-supported printer attribute. The value of xp-listfonts-modes-supported and xp-listfonts-modes (the defaults) can be looked-up via xplsprinters(__appmansuffix__). (printer mode only)

-X mode
    Disable listfont mode mode. See option -x for a list of valid mode values. (printer mode only)

-fn pattern
    This option specifies the font name pattern to match.

SEE ALSO
X(__miscmansuffix__), Xprint(__miscmansuffix__), Xserver(__appmansuffix__), xset(__appmansuffix__), xfd(__appmansuffix__), xplsprinters(__appmansuffix__), X Logical Font Description Conventions

ENVIRONMENT

DISPLAY
    DISPLAY must be set to get the default host and display to use.

XPSERVERLIST
    XPSERVERLIST must be set for the -printer option identifying the available Xprint servers. See Xprint(__miscmansuffix__) for more details.

BUGS
Doing ``xlsfonts -l'' can tie up your server for a very long time. This is really a bug with single-threaded non-preemptable servers, not with this program.

AUTHOR
Mark Lillibridge

Jim Fulton

Phil Karlton

Roland Mainz